//===========================================================================
// 此文件是作为 ASP.NET 2.0 Web 项目转换的一部分修改的。
// 类名已更改，且类已修改为从文件“App_Code\Migrated\Stub_index_aspx_cs.cs”的抽象基类 
// 继承。
// 在运行时，此项允许您的 Web 应用程序中的其他类使用该抽象基类绑定和访问 
// 代码隐藏页。
// 关联的内容页“index.aspx”也已修改，以引用新的类名。
// 有关此代码模式的更多信息，请参考 http://go.microsoft.com/fwlink/?LinkId=46995 
//===========================================================================
using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using DAL;

namespace flash
{
	/// <summary>
	/// index 的摘要说明。
	/// </summary>
	public partial class Default : PageBase
	{
        protected System.Web.UI.WebControls.Repeater class_item1;
  
	
		protected void Page_Load(object sender, System.EventArgs e)
		{
			this.CacheFile = "/default.htm";
			// 在此处放置用户代码以初始化页面
			hits.DataSource = DataProvider.ExecuteSql("select top 50 id,title from flash order by hits desc");
			hits.DataBind();

			recomment.DataSource = DataProvider.ExecuteSql("select top 10 f.id,f.title,f.picture from flash f, global_flash gf where global_id=1 and f.id=gf.flash_id order by [order] desc");
			recomment.DataBind();

			class_item.DataSource = DataProvider.ExecuteSql("select * from class");
			class_item.DataBind();

		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			class_item.ItemDataBound += new RepeaterItemEventHandler(class_item_ItemDataBound);

		}
		#endregion

		private void class_item_ItemDataBound(object sender, RepeaterItemEventArgs e)
		{
			
			DataTable dt = DataProvider.ExecuteSql(string.Format("select top 24 id,title,picture from flash where class={0} and isrecomment=1 order by id desc", ((DataRowView)e.Item.DataItem)["id"].ToString()));
			if (dt != null && dt.Rows.Count > 0)
			{
				DataTable dt1 = dt.Clone();
				for (int i = 0; i < 2 && i < dt.Rows.Count; i++)
				{
					dt1.ImportRow(dt.Rows[i]);
				}
				((Repeater)e.Item.FindControl("class_item1")).DataSource = dt1;
				((Repeater)e.Item.FindControl("class_item1")).DataBind();

				DataTable dt2 = dt.Clone();
				for (int i = 2; dt.Rows.Count > 2 && i < dt.Rows.Count; i++)
				{
					dt2.ImportRow(dt.Rows[i]);
				}
				((Repeater)e.Item.FindControl("class_item2")).DataSource = dt2;
				((Repeater)e.Item.FindControl("class_item2")).DataBind();
			}

			dt = null;
		}
	}
}
